cURL
curl --request GET \
--url https://api.teamfollowup.ai/api/v2/projects/{id}/calendars \
--header 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.teamfollowup.ai/api/v2/projects/{id}/calendars"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teamfollowup.ai/api/v2/projects/{id}/calendars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "calendar_primary",
"name": "Main booking calendar",
"calendarType": "round_robin",
"isActive": true
}
]
}{
"success": false,
"error": "VALIDATION",
"message": "businessName is required."
}{
"success": false,
"error": "Unauthorized",
"message": "Authentication required."
}{
"success": false,
"error": "Forbidden",
"message": "You do not have permission to access this resource."
}{
"success": false,
"message": "Project not found."
}{
"success": false,
"error": "TooManyRequests",
"message": "Too many requests, please try again later."
}{
"success": false,
"error": "InternalError",
"message": "Unexpected server error."
}List project calendars
List connected calendars for one visible project. Customer role: agency_admin.
Required API key scope: projects:read.
GET
/
api
/
v2
/
projects
/
{id}
/
calendars
cURL
⌘I
